Host Nvdimm System Create Nvdimm P Mem Namespace Task

Host Nvdimm System Create Nvdimm P Mem Namespace Task
Create persistent memory mode nvd namespace from information passed in PMemNamespaceCreationSpec.

Create persistent memory mode nvd namespace from information passed in PMemNamespaceCreationSpec.

A new persistent namespace can be created on the NVDIMM(s) when the system is in maintenance mode. If all the parameters passed are valid and system is in maintenance mode, then a DSM (Device Specific Method) call is made to create the namespace. DSM calls are blockable and slow operations and hence the use of task.

If a new namespace is created, its UUID is returned.

Required privileges: Host.Config.Nvdimm

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostNvdimmSystem/{moId}/CreateNvdimmPMemNamespace_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostNvdimmSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CreateNvdimmPMemNamespaceRequestType of type(s) application/json
Required

Show optional properties

{
    "createSpec": {}
}
{
    "createSpec": {
        "_typeName": "string",
        "friendlyName": "string",
        "size": 0,
        "interleavesetID": 0
    }
}
createSpec
Required

Parameters to create the required namespace.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object which is used to monitor this operation. The task result (info.result) contains a NvdimmGuid object that has the UUID of the newly created namespace.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

InvalidArgument: if an argument to create namespace is invalid.

NotSupported: if no NVDIMMs are found or if operation does not have the supporting DSM method.

InvalidHostState: if operation is not allowed as system is not in maintenance mode.

AlreadyExists: if the namespace of type already exists.

SystemError: for other system errors along with localized reason for failure.

HostConfigFault: for any other failure.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"createSpec":"{}"}' https://{api_host}/sdk/vim25/{release}/HostNvdimmSystem/{moId}/CreateNvdimmPMemNamespace_Task